Skip to main content

Free Trial Email Notification

Sends a transactional email to notifications@searchcompany.ai via Loops.so when a new Stripe free trial is created.

Endpoint

POST /webhooks/notifications/free-trial-started

Features

  • Async/Non-blocking: Returns immediately, email sends in background
  • Template ID: cmkaghcrr2maf0i035bx000z4

Request Body

FieldTypeRequiredDescription
user_emailstringYesEmail of the user
user_namestringNoName of the user
org_namestringNoOrganization name
org_slugstringNoOrganization slug
plan_namestringNoName of the plan (defaults to β€œFree Trial”)

Example Request

{
  "user_email": "newuser@example.com",
  "user_name": "John Doe",
  "org_name": "Acme Corp",
  "org_slug": "acme-corp-123456",
  "plan_name": "Pro Plan"
}

Example Response

{
  "status": "queued",
  "message": "Free trial started notification queued",
  "template_id": "cmkaghcrr2maf0i035bx000z4"
}

Internal Usage

from src.app.webhooks.notifications.routes import notify_trial_started

await notify_trial_started(
    user_email="user@example.com",
    user_name="John Doe",
    org_name="Acme Corp",
    org_slug="acme-corp-123456",
    plan_name="Pro Plan"
)